- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Multipliers Class Reference

`#include <multipliers.h>`

Collaboration diagram for Multipliers:

[legend]
List of all members.

## Public Member Functions
| Multipliers (const mxArray *&ptr)
| Multipliers (mxArray *&ptr, int n, int m)
| Multipliers (const Multipliers &source)
| ~Multipliers ()
const Matrix & | lowerbounds () const
const Matrix & | upperbounds () const
const Matrix & | constraints () const
Matrix & | lowerbounds ()
Matrix & | upperbounds ()
Matrix & | constraints ()
## Protected Attributes
Matrix * | zl
Matrix * | zu
Matrix * | lambda

## Detailed Description

Definition at line 29 of file multipliers.h.

## Constructor & Destructor Documentation

Multipliers::Multipliers | ( | const mxArray *& | ptr | ) | `[explicit]`

Multipliers::Multipliers | ( | mxArray *& | ptr,
|  | int | n,
|  | int | m |
| ) |  |  |

Multipliers::Multipliers | ( | const Multipliers & | source | ) |

Multipliers::~Multipliers | ( |  | ) |

## Member Function Documentation

const Matrix& Multipliers::lowerbounds | ( |  | ) | const`[inline]`

Definition at line 48 of file multipliers.h.

References zl.

const Matrix& Multipliers::upperbounds | ( |  | ) | const`[inline]`

Definition at line 49 of file multipliers.h.

References zu.

const Matrix& Multipliers::constraints | ( |  | ) | const`[inline]`

Definition at line 50 of file multipliers.h.

References lambda.

Matrix& Multipliers::lowerbounds | ( |  | ) | `[inline]`

Definition at line 51 of file multipliers.h.

References zl.

Matrix& Multipliers::upperbounds | ( |  | ) | `[inline]`

Definition at line 52 of file multipliers.h.

References zu.

Matrix& Multipliers::constraints | ( |  | ) | `[inline]`

Definition at line 53 of file multipliers.h.

## Member Data Documentation

Matrix* Multipliers::zl`[protected]`

Definition at line 53 of file multipliers.h.

Referenced by lowerbounds().

Matrix* Multipliers::zu`[protected]`

Definition at line 58 of file multipliers.h.

Referenced by upperbounds().

Matrix* Multipliers::lambda`[protected]`

Definition at line 60 of file multipliers.h.

Referenced by constraints().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/contrib/MatlabInterface-Old/src/multipliers.h